from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.util import XModifiable

@runtime_checkable
class XModifiable2(XModifiable, Protocol):
    def disableSetModified(self) -> bool: ...
    def enableSetModified(self) -> bool: ...
    def isSetModifiedEnabled(self) -> bool: ...
